﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Dto
{
    public class FindSqrxxDto
    {
        public List<ContentDto> content { get; set; }
        public bool empty { get; set; }
        public bool first { get; set; }
        public bool last { get; set; }

        public int number { get; set; }
        public int numberOfElements { get; set; }

        public PageableDto pageable { get; set; }

        public int size { get; set; }


        public SortDto sort { get; set; }

        public int totalPages { get; set; }

        public int totalElements { get; set; }
    }

    public class ContentDto
    {

        /// <summary>
        /// 创建时间
        /// </summary>
        public string cjsj { get; set; }
        /// <summary>
        /// 等级单位代码
        /// </summary>
        public string djdwbm { get; set; }
        /// <summary>
        /// 等级单位代码
        /// </summary>
        public string djdwmc { get; set; }
        /// <summary>
        /// 居民身份证
        /// </summary>
        public string jmsfzh { get; set; }
        public object lxdh { get; set; }
        public object lxdz { get; set; }
        public string sfsc { get; set; }
        public string sjbsbh { get; set; }
        public string sjly { get; set; }
        public string sqrbh { get; set; }
        public string sqrlxdm { get; set; }
        /// <summary>
        /// 申请人类型
        /// </summary>
        public string sqrlxmc { get; set; }
        /// <summary>
        /// 申请人身份代码
        /// </summary>
        public string sqrsfdm { get; set; }
        /// <summary>
        /// 申请人身份 -律师
        /// </summary>
        public string sqrsfmc { get; set; }

        /// <summary>
        /// 申请人姓名
        /// </summary>
        public string sqrxm { get; set; }
        public string szlssws { get; set; }
        public string tyshxydm { get; set; }
        public object zbls { get; set; }
        public string zhxgsj { get; set; }
        /// <summary>
        /// 证件类型号码
        /// </summary>
        public string zjhm { get; set; }
        /// <summary>
        /// 证件类型代码
        /// </summary>
        public string zjlxdm { get; set; }
        /// <summary>
        /// 证件类型名称
        /// </summary>
        public string zjlxmc { get; set; }
        public object zyzh { get; set; }

    }


    public class PageableDto
    {
        public int offset { get; set; }
        public int pageNumber { get; set; }
        public int pageSize { get; set; }
        public bool paged { get; set; }
        public bool unpaged { get; set; }

        public SortDto sort { get; set; }
    }
    public class SortDto
    {
        public bool empty { get; set; }
        public bool sorted { get; set; }
        public bool unsorted { get; set; }
    }
}
