﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Dto
{
    public class SaveBhdlDjxxDto
    {
        /// <summary>
        /// 单位编码
        /// </summary>
        public string ajcbdwbm { get; set; }

        /// <summary>
        /// 单位名称
        /// </summary>
        public string ajcbdwmc { get; set; }


        /// <summary>
        /// 案件名称
        /// </summary>
        public string ajmc { get; set; }



        /// <summary>
        /// 
        /// </summary>
        public string bhdlbh { get; set; }

        /// <summary>
        /// 部门受案号
        /// </summary>
        public string bmsah { get; set; }


        /// <summary>
        /// 承办检察官
        /// </summary>
        public string czr { get; set; }

        /// <summary>
        /// 承办检察官编码
        /// </summary>
        public string czrybm { get; set; }


        /// <summary>
        /// 单位编码
        /// </summary>
        public string dwbm { get; set; }

        /// <summary>
        /// 法律援助内容
        /// </summary>
        public string flyznr { get; set; }

        /// <summary>
        /// /
        /// </summary>
  //      public string jwgkdjid { get; set; }

        /// <summary>
        /// 是否案管登记  Y
        /// </summary>
        public string sfagdj { get; set; }


        /// <summary>
        /// 是否法律援助
        /// </summary>
        public string sfflyz { get; set; }


        /// <summary>
        /// 申请人编号
        /// </summary>
        public string sqrbh { get; set; }

        public string wfwgqkdm { get; set; } = null;

        public string wfwgqkmc { get; set; } = "";

        public string wfwgqknr { get; set; } = null;


        /// <summary>
        /// 委托人
        /// </summary>
        public string wtr { get; set; }

        /// <summary>
        /// 委托人与当事人关系	代码
        /// </summary>

        public string wtrydsrgxdm { get; set; }

        /// <summary>
        /// 委托人与当事人关系名称
        /// </summary>
        public string wtrydsrgxmc { get; set; }

        /// <summary>
        /// 值班律师
        /// </summary>
        public string zbls { get; set; }

        /// <summary>
        /// 责任人编码
        /// </summary>
        public string zrrbm { get; set; }


        public BhdlYxSqrInsertInputDto bhdlYxSqrInsertInputDto { get; set; }
    }

    public class BhdlYxSqrInsertInputDto
    {
        /// <summary>
        /// 登记单位编码
        /// </summary>
        public string djdwbm { get; set; }

        /// <summary>
        /// 登记单位名称
        /// </summary>
        public string djdwmc { get; set; }


        /// <summary>
        /// 居民身份证号码
        /// </summary>
        public string jmsfzh { get; set; }

        /// <summary>
        /// 联系电话	
        /// </summary>
        public string lxdh { get; set; }


        /// <summary>
        /// 联系地址
        /// </summary>
        public string lxdz { get; set; }
        /// <summary>
        ///     
        /// </summary>

        public bool sfgxlsk { get; set; } = false;


        /// <summary>
        /// 申请人类型d代码  1403187300001 -辩护人
        /// </summary>
        public string sqrlxdm { get; set; }


        /// <summary>
        /// 申请人类型
        /// </summary>
        public string sqrlxmc { get; set; }


        /// <summary>
        /// 身份代码
        /// </summary>
        public string sqrsfdm { get; set; }


        /// <summary>
        /// 身份名称
        /// </summary>
        public string sqrsfmc { get; set; }


        /// <summary>
        /// 姓名
        /// </summary>
        public string sqrxm { get; set; }

        /// <summary>
        /// 所在律师事务所
        /// </summary>

        public string szlssws { get; set; }

        /// <summary>
        /// 律师事务所统一社会信用代码
        /// </summary>
        public string tyshxydm { get; set; }

        /// <summary>
        /// 证件号码	
        /// </summary>
        public string zjhm { get; set; }


        /// <summary>
        /// 证件类型代码
        /// </summary>
        public string zjlxdm { get; set; }

        /// <summary>
        ///  证件类型
        /// </summary>
        public string zjlxmc { get; set; }
    }
}
