﻿using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.Text;
using System.Threading.Tasks;

namespace Elight.Entity.APPDto.Lawyer
{

    /// <summary>
    /// 卷宗文件
    /// </summary>
    public class JZWJItemDto
    {
        /// <summary>
        /// 文件唯一标识
        /// </summary>
        public string? Id { get; set; }
        /// <summary>
        /// 卷宗目录Id
        /// </summary>

        public string? jzmlId { get; set; }

        public string? wjxh { get; set; }

        /// <summary>
        /// 目录编号
        /// </summary>
        public string? mlbh { get; set; }

        /// <summary>
        /// 源文件路径
        /// </summary>
        public string? ywjlj { get; set; }

        /// <summary>
        /// 缩略图文件路径
        /// </summary>
        public string? sltwjlj { get; set; }

        /// <summary>
        /// pdf文件路径
        /// </summary>
        public string? pdfwjlj { get; set; }

        /// <summary>
        /// 图片实际显示路径！
        /// </summary>
        public string? jpgwjlj { get; set; }

        /// <summary>
        /// 文件页码
        /// </summary>
        public string? wjym { get; set; }

        /// <summary>
        /// 文件类型
        /// </summary>
        public string? wjlx { get; set; }

        /// <summary>
        /// 
        /// </summary>
        public string? wjscbz { get; set; }

        /// <summary>
        /// 文件顺序号  排序
        /// </summary>
        public int? wjsxh { get; set; }

        /// <summary>
        /// 文件显示名称   第二页
        /// </summary>
        public string? wjxsmc { get; set; }

        /// <summary>
        /// 卷宗编号
        /// </summary>
        public string? jzbh { get; set; }

        /// <summary>
        /// 文件ocr识别状态
        /// </summary>
        public string? wjocrsbzt { get; set; }

        /// <summary>
        /// 创建时间
        /// </summary>
        public string? cjsj { get; set; }

        /// <summary>
        /// 上传时间
        /// </summary>
        public string? time { get; set; }


        public string? taskid { get; set; }

        /// <summary>
        /// 文件标识
        /// </summary>
        public string? wjbs { get; set; }

        /// <summary>
        /// 标识编号
        /// </summary>
        public string? bsbh { get; set; }
    }
}
