﻿using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.Text;
using System.Threading.Tasks;

namespace Elight.Entity
{
    /// <summary>
    /// 文书签收
    /// </summary>
    [Serializable]
    [DataContract]
    [SugarTable("app_document")]
    public class App_DocumentModel
    {
        [DataMember]
        [SugarColumn(IsPrimaryKey = true)]
        public string? Id { get; set; }

        /// <summary>
        /// 文书编号
        /// </summary>
        [DataMember]
        public string? wsslbh { get; set; }

        /// <summary>
        /// 文书名称
        /// </summary>
        [DataMember]
        public string? wsmc { get; set; }

        /// <summary>
        /// 部门手受案号
        /// </summary>
        [DataMember]
        public string? bmsah { get; set; }

        /// <summary>
        /// 单位编号
        /// </summary>
        [DataMember]
        public string? dwbm { get; set; }

        /// <summary>
        /// 案件名称
        /// </summary>
        [DataMember]
        public string? ajmc { get; set; }

        /// <summary>
        /// 姓名
        /// </summary>
        [DataMember]
        public string? zrrxm { get; set; }
        /// <summary>
        /// 联系号码
        /// </summary>
        [DataMember]
        public string? zrrlshm { get; set; }

        /// <summary>
        /// 身份证
        /// </summary>
        [DataMember]
        public string? zjhm { get; set; }

        /// <summary>
        /// 文书名称
        /// </summary>
        [DataMember]
        public string? fwqwjmc { get; set; }

        /// <summary>
        /// 登记时间
        /// </summary>
        [DataMember]
        public string? djsj { get; set; }
        /// <summary>
        /// 办案检察官
        /// </summary>
        [DataMember]
        public string? cbjcgbm { get; set; }
        /// <summary>
        /// 办案检察官手机号
        /// </summary>
        [DataMember]
        public string? dhhm { get; set; }
        /// <summary>
        /// 存放时间
        /// </summary>
        [DataMember]
        public string? sdsj { get; set; }
        /// <summary>
        /// 签收时间
        /// </summary>
        [DataMember]
        public string? qmsj { get; set; }
        /// <summary>
        /// 状态 00：新建：01：待发送；02：已发送；03：待签收；04：已签收 ；99：已入卷
        /// </summary>
        [DataMember]
        public string? zt { get; set; }
        /// <summary>
        /// 最新更新时间
        /// </summary>
        [DataMember]
        public string? zhxgsj { get; set; }
        /// <summary>
        /// 菜单类型
        /// </summary>
        [DataMember]
        public string? reservationId { get; set; }
    }
}
