﻿using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.Text;
using System.Threading.Tasks;

namespace Elight.Entity.AppMode.Lawyer
{


    /// <summary>
    /// 卷宗目录
    /// </summary>
    [Serializable]
    [DataContract]
    [SugarTable("case_jzml")]
    public class JZML
    {
        [DataMember]
        [SugarColumn(IsPrimaryKey = true)]
        public string Id { get; set; }
        /// <summary>
        /// 卷宗Id
        /// </summary>
        public string? jzId { get; set; }
        /// <summary>
        /// 
        /// </summary>
        public string taskid { get; set; }
        [DataMember]
        /// <summary>
        /// 卷宗编号
        /// </summary>
        public string jzbh { get; set; }
        [DataMember]
        /// <summary>
        /// 目录编号
        /// </summary>
        public string mlbh { get; set; }
        [DataMember]
        /// <summary>
        /// 父目录编号
        /// </summary>
        public string fmlbh { get; set; }
        [DataMember]
        /// <summary>
        /// 目录显示名称
        /// </summary>
        public string mlxsmc { get; set; }
        [DataMember]
        /// <summary>
        /// 目录信息
        /// </summary>
        public string mlxx { get; set; }
        [DataMember]
        /// <summary>
        /// 目录顺序号
        /// </summary>
        public int mlsxh { get; set; }
        [DataMember]
        /// <summary>
        /// 目录类型 卷，目录看，文件   
        /// </summary>
        public string mllx { get; set; }
        [DataMember]
        /// <summary>
        /// 单位编码
        /// </summary>
        public string dwbm { get; set; }

        /// <summary>
        /// 导航
        /// </summary>
        [Navigate(NavigateType.OneToMany, nameof(JZWJItem.jzmlId))]//BookA表中的studenId
        public List<JZWJItem> jzwj { get; set; }//注意禁止给books手动赋值
    }



}
