﻿using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.Text;
using System.Threading.Tasks;

namespace Elight.Entity.SystemModel
{
    /// <summary>
    /// 日志记录表（Func_Dossier_LogRecord）
    /// </summary>
    [DataContract]
    [Serializable]
    [SugarTable("func_dossier_logrecord")]
    public class Func_Dossier_LogRecordModel
    {

        /// <summary>
        /// 序号
        /// </summary>
        [DataMember]
        public string? SerialNumber { get; set; }

        /// <summary>
        /// 单位编码
        /// </summary>
        [DataMember]
        public string? UnitCode { get; set; }

        /// <summary>
        /// 单位名称
        /// </summary>
        [DataMember]
        public string? NameEntity { get; set; }

        /// <summary>
        /// 部门编码
        /// </summary>
        [DataMember]
        public string? DepartmentCode { get; set; }

        /// <summary>
        /// 部门名称
        /// </summary>
        [DataMember]
        public string? DepartmentName { get; set; }

        /// <summary>
        /// 操作人工号
        /// </summary>
        [DataMember]
        public string? OperatingManual { get; set; }

        /// <summary>
        /// 操作人
        /// </summary>
        [DataMember]
        public string? Operation { get; set; }

        /// <summary>
        /// 操作时间
        /// </summary>
        [DataMember]
        public string? OperatingTime { get; set; }

        /// <summary>
        /// 操作IP
        /// </summary>
        [DataMember]
        public string? OperationIp { get; set; }

        /// <summary>
        /// 操作类型
        /// </summary>
        [DataMember]
        public string? OperationType { get; set; }

        /// <summary>
        /// 日志内容
        /// </summary>
        [DataMember]
        public string? LogContents { get; set; }

        /// <summary>
        /// 操作案件部门受案号
        /// </summary>
        [DataMember]
        public string? OpeCasDepAccCas { get; set; }

        /// <summary>
        /// 分区列 创建时间取年份，触发器完成
        /// </summary>
        [DataMember]
        public string? ParColCreTimTakYeaTri { get; set; }

        /// <summary>
        /// 是否删除
        /// </summary>
        [DataMember]
        public int? IsDeleted { get; set; }


        /*CodeAutoBuilderArea*/
    }
}
