﻿using Elight.Utility.Code;
using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.Text;
using System.Threading.Tasks;

namespace Elight.Logic
{
    /// <summary>
    /// 文书签收
    /// </summary>
    [Serializable]
    [DataContract]
    public class App_DocumentInput : Paging
    {
        [DataMember]
        public string? Id { get; set; }
        /// <summary>
        /// 单位Id
        /// </summary>
        [DataMember]
        public string? unitId { get; set; }

        /// <summary>
        /// 文书编号
        /// </summary>
        [DataMember]
        public string? documentnumber { get; set; }

        /// <summary>
        /// 文书名称
        /// </summary>
        [DataMember]
        public string? name { get; set; }

        /// <summary>
        /// 签收人
        /// </summary>
        [DataMember]
        public string? signforuser { get; set; }

        /// <summary>
        /// 签收人电话
        /// </summary>
        [DataMember]
        public string? signforphone { get; set; }
        /// <summary>
        /// 签收人身份证
        /// </summary>
        [DataMember]
        public string? signforcardId { get; set; }

        /// <summary>
        /// 签收意见
        /// </summary>
        [DataMember]
        public string? signforopinion { get; set; }
        /// <summary>
        /// 备注
        /// </summary>
        [DataMember]
        public string? notes { get; set; }

        /// <summary>
        /// 签收时间
        /// </summary>
        [DataMember]
        public DateTime? signfortime { get; set; }

        /// <summary>
        /// 0:待签收，1已签收
        /// </summary>
        [DataMember]
        public string? state { get; set; }
    }
}
