﻿using Elight.Utility.Code;
using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.Text;
using System.Threading.Tasks;

namespace Elight.Logic
{
    /// <summary>
    /// 远程会见
    /// </summary>
    [DataContract]
    public class App_RemoteInput : Paging
    {
        [DataMember]
        public string? Id { get; set; }

        /// <summary>
        /// 单位Id
        /// </summary>
        [DataMember]
        public string? unitId { get; set; }

        /// <summary>
        /// 会议号
        /// </summary>
        [DataMember]
        public string? Code { get; set; }

        /// <summary>
        /// 会议名称
        /// </summary>
        [DataMember]
        public string? name { get; set; }

        /// <summary>
        /// 开始时间
        /// </summary>
        [DataMember]
        public DateTime? sttime { get; set; }
        
        /// <summary>
        /// 结束时间
        /// </summary>
        [DataMember]
        public DateTime? ettime { get; set; }

        /// <summary>
        /// 会见人Id
        /// </summary>
        [DataMember]
        public string? meetwitId { get; set; }

        /// <summary>
        /// 会见人
        /// </summary>
        [DataMember]
        public string? meetwitname { get; set; }

        /// <summary>
        /// 备注
        /// </summary>
        [DataMember]
        public string? notes { get; set; }

        /// <summary>
        /// 0:待开始，1已结束,2:会议取消
        /// </summary>
        [DataMember]
        public int? state { get; set; }
    }
}
