﻿using Elight.Utility.Code;
using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.Text;
using System.Threading.Tasks;

namespace Elight.Logic
{
    /// <summary>
    /// 远程会见接收数据
    /// </summary>
    [DataContract]
    public class App_Remoteput
    {
        [DataMember]
        public string? Id { get; set; }

        /// <summary>
        /// 开始时间
        /// </summary>
        [DataMember]
        public DateTime? sttime { get; set; }
        
        /// <summary>
        /// 结束时间
        /// </summary>
        [DataMember]
        public DateTime? ettime { get; set; }

        /// <summary>
        /// 0:待开始，1已结束,2:会议取消
        /// </summary>
        [DataMember]
        public int state { get; set; }
        /// <summary>
        /// 拒绝原因
        /// </summary>
        [DataMember]
        public string? reason { get; set; }
    }
}
