﻿using Elight.Utility.Code;
using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.Text;
using System.Threading.Tasks;

namespace Elight.Logic.Model.Lawyer
{
    public class LawyerArchivesInput:Paging
    {
        /// <summary>
        /// 阅卷Id
        /// </summary>
        [DataMember]
        public string? Id { get; set; }
        /// <summary>
        /// 部门受案号
        /// </summary>
        [DataMember]
        public string? bmsah { get; set; }
        /// <summary>
        /// 律师姓名
        /// </summary>
        [DataMember]
        public string? lawyerName { get; set; }
        /// <summary>
        /// 案件名称
        /// </summary>
        [DataMember]
        public string? caseName { get; set; }
        /// <summary>
        /// <summary>
        /// 当事人姓名
        /// </summary>
        [DataMember]
        public string? party { get; set; }
        /// <summary>
        /// 当事人身份证
        /// </summary>
        [DataMember]
        public string? partyCardId { get; set; }
        /// <summary>
        /// 单位Id
        /// </summary>
        [DataMember]
        public string? unitCode { get; set; }
        /// <summary>
        /// 接待人Id
        /// </summary>
        [DataMember]
        public string? receptionuserId { get; set; }
        /// <summary>
        /// 0:待办理，1：同意 ，2：拒绝 预约申请状态
        /// </summary>
        [DataMember]
        public int? state { get; set; }

        public int? Isdelete { get; set; }
    }

}
