﻿using Elight.Utility.Code;
using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.Text;
using System.Threading.Tasks;

namespace Elight.Logic
{
    /// <summary>
    /// 工作台
    /// </summary>
    [Serializable]
    [DataContract]
    public class StagingInput:Paging
    {
        [DataMember]
        public string? Id { get; set; }

        /// <summary>
        /// 跳转地址
        /// </summary>
        [DataMember]
        public string? path { get; set; }

        /// <summary>
        /// 图标地址
        /// </summary>
        [DataMember]
        public string? icon { get; set; }

        /// <summary>
        /// 颜色
        /// </summary>
        [DataMember]
        public string? color { get; set; }

        /// <summary>
        /// 名称
        /// </summary>
        [DataMember]
        public string? title { get; set; }

        /// <summary>
        /// 类型
        /// </summary>
        [DataMember]
        public string? titletype { get; set; }
    }
}
