﻿using Elight.Utility.Code;
using SqlSugar;
using System;
using System.Runtime.Serialization;

namespace Elight.Logic.SystemModel
{
    /// <summary>
    /// 部门信息--分页
    /// </summary>
    [DataContract]
    public class App_Sys_DepartInput : Paging
    {
		/// <summary>
		/// 表里用户唯一标识符，自增长Id
		/// </summary>
		[DataMember]
        public string? Id { get; set; }
        /// <summary>
        /// 单位Id
        /// </summary>
        [DataMember]
        public string? unitId { get; set; }

        /// <summary>
        /// 部门编码
        /// </summary>
        [DataMember]
		public string? departCode { get; set; }
        /// <summary>
        /// 部门名称
        /// </summary>
        [DataMember]
        public string? departname { get; set; }

        /// <summary>
        /// 部门简称
        /// </summary>
        [DataMember]
        public string? departjc { get; set; }
    }
}

