﻿using Elight.Utility.Code;
using SqlSugar;
using System;
using System.Runtime.Serialization;

namespace Elight.Logic.SystemModel
{
    /// <summary>
    /// 菜单管理
    /// </summary>
    [DataContract]
    public class App_Sys_MenuInput:Paging
    {
		/// <summary>
		/// 表里用户唯一标识符，自增长Id
		/// </summary>
		[DataMember]
        public string? Id { get; set; }
        /// <summary>
        /// 父级
        /// </summary>
        [DataMember]
        public string? pid { get; set; }

        /// <summary>
        /// 路径
        /// </summary>
        [DataMember]
		public string? path { get; set; }
        /// <summary>
        /// 菜单名称
        /// </summary>
        [DataMember]
        public string? name { get; set; }

        /// <summary>
        /// 页面组件路径
        /// </summary>
        [DataMember]
        public string? component { get; set; }

        /// <summary>
        /// 直接跳转路径
        /// </summary>
        [DataMember]
        public string? redirect { get; set; }

        /// <summary>
        /// 页面标题
        /// </summary>
        [DataMember]
        public string? title { get; set; }

        /// <summary>
        /// 图标
        /// </summary>
        [DataMember]
        public string? icon { get; set; }

        /// <summary>
        /// 排序
        /// </summary>
        [DataMember]
        public int sortnum { get; set; }
    }
}

