﻿using Elight.Utility.Code;
using SqlSugar;
using System;
using System.Runtime.Serialization;

namespace Elight.Logic.SystemModel
{
    /// <summary>
    /// 角色表
    /// </summary>
    [Serializable]
    [DataContract]
    public class App_Sys_RoleInput: Paging
    {
		/// <summary>
		/// 表里用户唯一标识符，自增长Id
		/// </summary>
		[DataMember]
        public string? Id { get; set; }

        /// <summary>
        /// 单位编码
        /// </summary>
        [DataMember]
		public string? unitCode { get; set; }

		/// <summary>
		/// 角色名称
		/// </summary>
		[DataMember]
		public string? name { get; set; }
    }
}

