﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.Text;
using System.Threading.Tasks;

namespace WebApplication1.Models
{
    /// <summary>
    /// 数据表
    /// </summary>
    [Serializable]
    [DataContract]
    public class Data_Table
    {
        #region Model
        [DataMember]
        public string Id { get; set; }
        /// <summary>
        /// 部门受案号
        /// </summary>
		[DataMember]
        public string case_bmsah { get; set; }
        /// <summary>
        /// 统一受案号
        /// </summary>
		[DataMember]
        public string case_tysah { get; set; }
        /// <summary>
        /// 名称
        /// </summary>
		[DataMember]
        public string data_name { get; set; }
        /// <summary>
        /// 字段
        /// </summary>
		[DataMember]
        public string field { get; set; }
        /// <summary>
        /// 字段_id
        /// </summary>
		[DataMember]
        public string field_id { get; set; }
        /// <summary>
        /// 分组
        /// </summary>
		[DataMember]
        public string groupings { get; set; }
        /// <summary>
        /// 数据值
        /// </summary>
		[DataMember]
        public string data_value { get; set; }
        /// <summary>
        /// 数据值1
        /// </summary>
		[DataMember]
        public string data_value1 { get; set; }
        /// <summary>
        /// 创建时间
        /// </summary>
		[DataMember]
        public DateTime Creationtime { get; set; }
        /// <summary>
        /// 状态
        /// </summary>
		[DataMember]
        public int state { get; set; }
        /// <summary>
        /// 排序
        /// </summary>
		[DataMember]
        public string sort { get; set; }
        /// <summary>
        /// 值Id
        /// </summary>
		[DataMember]
        public string valueid { get; set; }
        /// <summary>
        /// 数据id
        /// </summary>
		[DataMember]
        public string case_id { get; set; }
        /// <summary>
        /// 表名
        /// </summary>
		[DataMember]
        public string table_name { get; set; }
        /// <summary>
        /// 表名+字段
        /// </summary>
		[DataMember]
        public string table_namefield { get; set; }

        /// <summary>
        /// 选项卡名称
        /// /// </summary>
		[DataMember]
        public string LxName { get; set; }

        [DataMember]
        public string zdlx { get; set; }
        [DataMember]
        public string sfzj { get; set; }
        [DataMember]
        public string zjsccl { get; set; }
        [DataMember]
        public string bgsj { get; set; }
        [DataMember]
        public string znht { get; set; }


        [DataMember]
        public string detailId { get; set; }


        [DataMember]
        public int level { get; set; }
        #endregion Model
    }
}
