﻿using Microsoft.AspNetCore.Mvc.Filters;

namespace _24Hour.Model
{
    public class CustomCorsActionFilterAttribute : Attribute, IActionFilter
    {

        public void OnActionExecuting(ActionExecutingContext context)
        {
            context.HttpContext.Response.Headers.Add("Access-Control-Allow-Methods", "OPTIONS,POST,GET");
            context.HttpContext.Response.Headers.Add("Access-Control-Allow-Headers", "x-requested-with");
            context.HttpContext.Response.Headers.Add("Access-Control-Allow-Origin", "*");
            context.HttpContext.Response.Headers.Add("Access-Control-Allow-Credentials", "true");
            context.HttpContext.Response.Headers.Add("Access-Control-Max-Age", "86400");//缓存一天
        }

        public void OnActionExecuted(ActionExecutedContext context)
        {

        }
    } 
}
