﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Dto
{
    public class FindAjxxDto
    {
        public int endRow { get; set; }
        public int firstPage { get; set; }
        public bool hasNextPage { get; set; }
        public bool hasPreviousPage { get; set; }
        public bool isFirstPage { get; set; }

        public bool isLastPage { get; set; }

        public List<FindAjxxBaseDto> list { get; set; }

        public int lastPage { get; set; }
        public int navigateFirstPage { get; set; }
        public int navigateLastPage { get; set; }
        public int navigatePages { get; set; }
        public List<int> navigatepageNums { get; set; }

        public int nextPage { get; set; }
        public int pageNum { get; set; }
        public int pageSize { get; set; }
        public int pages { get; set; }

        public int prePage { get; set; }

        public int size { get; set; }

        public int startRow { get; set; }

        public int total { get; set; }
    }

    public class FindAjxxBaseDto
    {
        /// <summary>
        /// 案件类型编码
        /// </summary>
        public string ajlbbm { get; set; }
        /// <summary>
        /// 案件类型名称
        /// </summary>
        public string ajlbmc { get; set; }
        /// <summary>
        /// 案件名称
        /// </summary>
        public string ajmc { get; set; }
        /// <summary>
        /// 案情摘要
        /// </summary>
        public string aqzy { get; set; }
        /// <summary>
        /// 部门受案号
        /// </summary>
        public string bmsah { get; set; }
        /// <summary>
        /// 承办部门编码
        /// </summary>
        public string cbbmbm { get; set; }
        /// <summary>
        /// 承办部门名称
        /// </summary>
        public string cbbmmc { get; set; }
        /// <summary>
        /// 承办单位编码
        /// </summary>
        public string cbdwbm { get; set; }
        /// <summary>
        /// 承办单位名称
        /// </summary>
        public string cbdwmc { get; set; }
        /// <summary>
        /// 承办检察官
        /// </summary>
        public string cbjcg { get; set; }
        /// <summary>
        /// 承办阶段编码
        /// </summary>
        public string cbjcgbm { get; set; }
        /// <summary>
        /// 承办阶段名称
        /// </summary>
        public string dqjdmc { get; set; }
        /// <summary>
        /// 
        /// </summary>
        public string sfkcz { get; set; }
        /// <summary>
        /// 受理日期
        /// </summary>
        public string slrq { get; set; }
        /// <summary>
        /// 移送单位名称
        /// </summary>
        public string ysdwdm { get; set; }
        /// <summary>
        /// 移送单位名称
        /// </summary>
        public string ysdwmc { get; set; }


    }

}