﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Dto
{
    public class RegisterDto
    {
        /// <summary>
        /// 部门受案号
        /// </summary>
        public string Bmsah { get; set; }


        /// <summary>
        /// 单位编码
        /// </summary>
        public string UnitCode { get; set; }


        /// <summary>
        /// 单位名称 北关区院
        /// </summary>
        public string UnitName { get; set; }


        /// <summary>
        /// 当事人身份证
        /// </summary>
        public string PartyIdCard { get; set; }

        /// <summary>
        /// 当事人-委托人
        /// </summary>
        public string PartyConsignor { get; set; }


        ///// <summary>
        ///// 当事人-委托人关系
        ///// </summary>
        //public string PartyPrincipalRelationship { get; set; }


        /// <summary>
        /// 申请人-律师证件号码
        /// </summary>

        public string ProposerZJHM { get; set; }

        /// <summary>
        /// 申请人类型
        /// { "dm":"1403187300001",,"mc":"辩护人"}
        /// </summary>

        public string ProposerType { get; set; }


        /// <summary>
        ///  申请人-联系电话	
        /// </summary>
        public string ProposerTel { get; set; }

        //{"code":"0","success":true,"message":"操作成功","data":[{"lbbm":"1404","fldmList":[{"dm":"1404187300003","fdm":"-1","mc":"律师","lbbm":"1404","sm":null,"xh":null},{"dm":"1404187300004","fdm":"-1","mc":"嫌疑人的监护人","lbbm":"1404","sm":null,"xh":null},{ "dm":"1404187300005","fdm":"-1","mc":"嫌疑人亲友","lbbm":"1404","sm":null,"xh":null},{ "dm":"1404187300006","fdm":"-1","mc":"人民团体或者所在单位推荐的人","lbbm":"1404","sm":null,"xh":null}]},{ "lbbm":"1425","fldmList":[{ "dm":"1425000000100","fdm":"-1","mc":"违反电子卷宗保密规定","lbbm":"1425","sm":null,"xh":null},{ "dm":"1425000009900","fdm":"-1","mc":"其他","lbbm":"1425","sm":null,"xh":null}]},{ "lbbm":"1403","fldmList":[{ "dm":"1403187300001","fdm":"-1","mc":"辩护人","lbbm":"1403","sm":null,"xh":null},{ "dm":"1403187300002","fdm":"-1","mc":"诉讼代理人","lbbm":"1403","sm":null,"xh":null},{ "dm":"1403187300010","fdm":"-1","mc":"犯罪嫌疑人(被告人)","lbbm":"1403","sm":null,"xh":null},{ "dm":"1403187300011","fdm":"-1","mc":"犯罪嫌疑人（被告人)法定代理人","lbbm":"1403","sm":null,"xh":null},{ "dm":"1403187300012","fdm":"-1","mc":"犯罪嫌疑人(被告人)近亲属","lbbm":"1403","sm":null,"xh":null},{ "dm":"1403187300013","fdm":"-1","mc":"被害人","lbbm":"1403","sm":null,"xh":null},{ "dm":"1403187300014","fdm":"-1","mc":"被害人法定代理人","lbbm":"1403","sm":null,"xh":null},{ "dm":"1403187300015","fdm":"-1","mc":"被害人近亲属","lbbm":"1403","sm":null,"xh":null},{ "dm":"1403187300016","fdm":"-1","mc":"其他","lbbm":"1403","sm":null,"xh":null},{ "dm":"1403187300017","fdm":"-1","mc":"其他当事人","lbbm":"1403","sm":null,"xh":null},{ "dm":"1403187300018","fdm":"-1","mc":"其他当事人法定代理人","lbbm":"1403","sm":null,"xh":null},{ "dm":"1403187300019","fdm":"-1","mc":"其他当事人委托代理人","lbbm":"1403","sm":null,"xh":null},{ "dm":"1403187300020","fdm":"-1","mc":"其他当事人近亲属","lbbm":"1403","sm":null,"xh":null}]},{ "lbbm":"1424","fldmList":[{ "dm":"1424000000100","fdm":"-1","mc":"本人","lbbm":"1424","sm":null,"xh":null},{ "dm":"1424000000200","fdm":"-1","mc":"近亲属","lbbm":"1424","sm":null,"xh":null},{ "dm":"1424000000300","fdm":"-1","mc":"监护人","lbbm":"1424","sm":null,"xh":null}]},{ "lbbm":"9910","fldmList":[{ "dm":"9910180300001","fdm":"-1","mc":"居民身份证","lbbm":"9910","sm":null,"xh":null},{ "dm":"9910180300002","fdm":"-1","mc":"军官证","lbbm":"9910","sm":null,"xh":null},{ "dm":"9910180300003","fdm":"-1","mc":"士兵证","lbbm":"9910","sm":null,"xh":null},{ "dm":"9910180300005","fdm":"-1","mc":"警官证","lbbm":"9910","sm":null,"xh":null},{ "dm":"9910180300006","fdm":"-1","mc":"工作证","lbbm":"9910","sm":null,"xh":null},{ "dm":"9910180300007","fdm":"-1","mc":"护照","lbbm":"9910","sm":null,"xh":null},{ "dm":"9910180300008","fdm":"-1","mc":"户口簿","lbbm":"9910","sm":null,"xh":null},{ "dm":"9910180300009","fdm":"-1","mc":"其他证件","lbbm":"9910","sm":null,"xh":null},{ "dm":"9910180300010","fdm":"-1","mc":"律师执业证","lbbm":"9910","sm":null,"xh":null},{ "dm":"9910180300011","fdm":"-1","mc":"无证件","lbbm":"9910","sm":null,"xh":null},{ "dm":"9910180300012","fdm":"-1","mc":"统一社会信用代码","lbbm":"9910","sm":null,"xh":null},{ "dm":"9910180300013","fdm":"-1","mc":"组织机构代码","lbbm":"9910","sm":null,"xh":null},{ "dm":"9910180300014","fdm":"-1","mc":"台湾居民居住证","lbbm":"9910","sm":null,"xh":null},{ "dm":"9910180300017","fdm":"-1","mc":"台湾身份证","lbbm":"9910","sm":null,"xh":null},{ "dm":"9910180300018","fdm":"-1","mc":"港澳证件","lbbm":"9910","sm":null,"xh":null},{ "dm":"9910180300019","fdm":"-1","mc":"台湾居民来往大陆通行证","lbbm":"9910","sm":null,"xh":null}]}]}
        /// <summary>
        /// 律师事务所统一社会信用代码	
        /// </summary>
        public string ProposerSCC { get; set; }


        /// <summary>
        /// 委托人
        /// </summary>
        public string Wtr { get; set; }
        /// <summary>
        /// 委托人与当事人关系
        /// { "dm":"1424000000100","mc":"本人",},
        /// { "dm":"1424000000200","mc":"近亲属"}
        /// { "dm":"1424000000300","mc":"监护人"}
        /// </summary>
        public string Wtrydsrgxdm { get; set; }
        /// <summary>
        /// 委托人与当事人关系
        /// </summary>
        public string Wtrydsrgxmc { get; set; }
        /// <summary>
        /// 值班律师
        /// </summary>
        public string Zbls { get; set; }
        /// <summary>
        /// 律师联系电话
        /// </summary>
        public string Lxdh { get; set; }
        /// <summary>
        /// 律师联系地址
        /// </summary>
        public string Lxdz { get; set; }

        /// <summary>
        /// 律师身份证号码
        /// </summary>
        public string CardId { get; set; }
        /// <summary>
        /// 律师事务所名称
        /// </summary>
        public string DepartMentName { get; set; }
        /// <summary>
        /// 律师事务所统一信用代码
        /// </summary>
        public string DepartMentNameSccCode { get; set; }
        /// <summary>
        /// 律师名称
        /// </summary>
        public string LawyerName { get; set; }
        
    }
}
