﻿using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.Text;
using System.Threading.Tasks;

namespace Elight.Entity.APPDto.Lawyer
{
    /// <summary>
    /// 卷宗基本信息
    /// </summary>
    public class JZJBXXDto
    {
        /// <summary>
        /// 部门受案号 v
        /// </summary>
        public string? Id { get; set; }

        public string? bmsah { get; set; }

        /// <summary>
        /// 卷宗编号v
        /// </summary>
        public string? jzbh { get; set; }

        /// <summary>
        /// 单位编码 
        /// </summary>
        public string? dwbm { get; set; }

        /// <summary>
        /// （简案）王奇涉嫌危险驾驶案  v
        /// </summary>
        public string? jzmc { get; set; }

        /// <summary>
        /// 卷宗制作人 
        /// </summary>
        public string? jzzzr { get; set; }

        /// <summary>
        /// 案件类别编码 
        /// </summary>
        public string? ajlbbm { get; set; }
        /// <summary>
        /// 案件类别名称
        /// </summary>
        public string? ajlbmc { get; set; }
        /// <summary>
        /// 卷宗目录 v
        /// </summary>

        public List<JZMLDto>? jzml { get; set; }
    }
}
