﻿using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.Text;
using System.Threading.Tasks;

namespace Elight.Entity
{
    /// <summary>
    /// 云柜管理
    /// </summary>
    [Serializable]
    [DataContract]
    [SugarTable("app_cloudcabinet")]
    public class App_CloudCabinetModel
    {
        [DataMember]
        [SugarColumn(IsPrimaryKey = true)]
        public string? Id { get; set; }
        /// <summary>
        /// 编号
        /// </summary>
        [DataMember]
        public string? bh { get; set; }

        /// <summary>
        /// 身份证
        /// </summary>
        [DataMember]
        public string? sfzh { get; set; }

        /// <summary>
        /// 姓名
        /// </summary>
        [DataMember]
        public string? xm { get; set; }

        /// <summary>
        /// 地址
        /// </summary>
        [DataMember]
        public string? zz { get; set; }

        /// <summary>
        /// 联系号码
        /// </summary>
        [DataMember]
        public string? lxhm { get; set; }

        /// <summary>
        /// 
        /// </summary>
        [DataMember]
        public string? jhlxbh { get; set; }
        /// <summary>
        /// 
        /// </summary>
        [DataMember]
        public string? jhlxmc { get; set; }

        /// <summary>
        /// 材料件数
        /// </summary>
        [DataMember]
        public string? cljs { get; set; }

        /// <summary>
        /// 备注
        /// </summary>
        [DataMember]
        public string? bz { get; set; }

        /// <summary>
        /// 创建时间
        /// </summary>
        [DataMember]
        public string? cjsj { get; set; }

        /// <summary>
        /// 取件时间
        /// </summary>
        [DataMember]
        public string? qjsj { get; set; }
        /// <summary>
        /// 单位编码
        /// </summary>
        [DataMember]
        public string? dwbm { get; set; }
        /// <summary>
        /// 取件码
        /// </summary>
        [DataMember]
        public string? wbkqmm { get; set; }
        /// <summary>
        /// 干警取件码
        /// </summary>
        [DataMember]
        public string? gjkqmm { get; set; }
        /// <summary>
        /// 状态
        /// </summary>
        [DataMember]
        public string? zt { get; set; }
        /// <summary>
        /// 干警手机号
        /// </summary>
        [DataMember]
        public string? gjlxhm { get; set; }
        /// <summary>
        /// 菜单类型
        /// </summary>
        [DataMember]
        public string? reservationId { get; set; }
    }
}
