﻿using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.Text;
using System.Threading.Tasks;

namespace Elight.Entity.AppMode.Lawyer
{
    /// <summary>
    /// 卷宗基本信息
    /// </summary>
    [Serializable]
    [DataContract]
    [SugarTable("case_jzlbxx")]
    public class JZJBXX
    {

        [DataMember]
        [SugarColumn(IsPrimaryKey = true)]
        public string Id { get; set; }
        /// <summary>
        /// 部门受案号 v
        /// </summary>

        [DataMember]
        public string bmsah { get; set; }
        [DataMember]
        /// <summary>
        /// 卷宗编号v
        /// </summary>
        public string jzbh { get; set; }
        [DataMember]
        /// <summary>
        /// 单位编码 
        /// </summary>
        public string dwbm { get; set; }
        [DataMember]
        /// <summary>
        /// （简案）王奇涉嫌危险驾驶案  v
        /// </summary>
        public string jzmc { get; set; }
        [DataMember]
        /// <summary>
        /// 卷宗制作人 
        /// </summary>
        public string jzzzr { get; set; }
        [DataMember]
        /// <summary>
        /// 案件类别编码 
        /// </summary>
        public string ajlbbm { get; set; }
        [DataMember]
        /// <summary>
        /// 案件类别名称
        /// </summary>
        public string ajlbmc { get; set; }
        /// <summary>
        /// 导航
        /// </summary>
        [Navigate(NavigateType.OneToMany, nameof(JZML.jzId))]//BookA表中的studenId
        public List<JZML> jzml { get; set; }//注意禁止给books手动赋值
    }
}
