﻿using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.Text;
using System.Threading.Tasks;

namespace Elight.Entity.AppMode.Lawyer
{
    [Serializable]
    [DataContract]
    [SugarTable("case_lawyerarchives")]
    public class LawyerArchives
    {
        [DataMember]
        [SugarColumn(IsPrimaryKey = true)]
        public string? Id { get; set; }
        [DataMember]
        public string? lawyerserviceId { get; set; }
        [DataMember]
        public string? unitcode { get; set; }
        [DataMember]
        public string? jzlbxxId { get; set; }
        [DataMember]
        public string? bmsah { get; set; }
        [DataMember]
        public string? lawyerId { get; set; }
        [DataMember]
        public string? lawyerName { get; set; }
        [DataMember]
        public string? party { get; set; }
        [DataMember]
        public string? partycardId { get; set; }
        [DataMember]
        public string? casename { get; set; }
        [DataMember]
        public DateTime? permissibleStartTime { get; set; }
        [DataMember]
        public DateTime? permissibleEndTime { get; set; }
        [DataMember]
        public DateTime? actualStartTime { get; set; }
        [DataMember]
        public DateTime? actualEndTime { get; set; }
        [DataMember]
        public ushort? status { get; set; }
        [DataMember]
        public ushort? copyStatus { get; set; }
        [DataMember]
        public ushort? copyLimit { get; set; }
        [DataMember]
        public string? remake { get; set; }
        [DataMember]
        public DateTime? createTime { get; set; }
        [DataMember]
        public string? createrId { get; set; }
        [DataMember]
        public string? secertphoto { get; set; }
        /// <summary>
        /// 已缓存的文件计数
        /// </summary>
        public int? downloadedCount { get; set; }
        /// <summary>
        /// 总的文件数计数
        /// </summary>
        public int? jwCount { get; set; }
        /// <summary>
        /// 是否删除：0：未删除、1：删除
        /// </summary>
        [DataMember]
        public int? IsDeleted { get; set; } = 0;
    }
}
