﻿using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.Text;
using System.Threading.Tasks;

namespace Elight.Entity
{
    /// <summary>
    /// 工作台使用数据
    /// </summary>
    [Serializable]
    [DataContract]
    [SugarTable("app_staging_num")]
    public class StagingNumModel
    {
        [DataMember]
        [SugarColumn(IsPrimaryKey = true)]
        public string? Id { get; set; }

        /// <summary>
        /// 工作台Id
        /// </summary>
        [DataMember]
        public string? stagingId { get; set; }

        /// <summary>
        /// 使用数
        /// </summary>
        [DataMember]
        public int num { get; set; }
        [DataMember]
        public string? username { get; set; }
        /// <summary>
        /// 用户Id
        /// </summary>
        [DataMember]
        public string? userId { get; set; }

        /// <summary>
        /// 创建日期
        /// </summary>
        [DataMember]
        public DateTime? creationtime { get; set; } = DateTime.Now;

        /// <summary>
        /// 是否删除：0：未删除、1：删除
        /// </summary>
        [DataMember]
        public int? IsDelete { get; set; } = 0;
    }
}
