﻿using Elight.Utility.Code;
using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.Text;
using System.Threading.Tasks;

namespace Elight.Logic
{
    /// <summary>
    /// 设备管理
    /// </summary>
    [DataContract]
    public class App_DeviceInput : Paging
    {
        [DataMember]
        public string? Id { get; set; }
        /// <summary>
        /// 单位Id
        /// </summary>
        [DataMember]
        public string? unitId { get; set; }

        /// <summary>
        /// 设备编号
        /// </summary>
        [DataMember]
        public string? deviceno { get; set; }

        /// <summary>
        /// 设备名称
        /// </summary>
        [DataMember]
        public string? name { get; set; }

        /// <summary>
        /// 安放位置
        /// </summary>
        [DataMember]
        public string? position { get; set; }


        /// <summary>
        /// 备注
        /// </summary>
        [DataMember]
        public string? notes { get; set; }

        /// <summary>
        /// 设备状态：0：正常，1：离线，2：故障
        /// </summary>
        [DataMember]
        public int? state { get; set; }
    }
}
