﻿using Elight.Utility.Code;
using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.Text;
using System.Threading.Tasks;

namespace Elight.Logic
{
    /// <summary>
    /// 律师服务input
    /// </summary>
    [Serializable]
    [DataContract]
    public class App_LawyerServicesInput : Paging
    {
        [DataMember]
        public string? Id { get; set; }
        /// <summary>
        /// 单位Id
        /// </summary>
        [DataMember]
        public string? unitId { get; set; }
        /// <summary>
        /// 预约类型
        /// </summary>
        [DataMember]
        public string? reservationId { get; set; }

        /// <summary>
        /// 律师名称
        /// </summary>
        [DataMember]
        public string? name { get; set; }

        /// <summary>
        /// 手机号
        /// </summary>
        [DataMember]
        public string? phone { get; set; }

        /// <summary>
        /// 访问日期
        /// </summary>
        [DataMember]
        public DateTime? receptiontime { get; set; }

        /// <summary>
        /// 访问事由
        /// </summary>
        [DataMember]
        public string? matter { get; set; }

        /// <summary>
        /// 访问对象
        /// </summary>
        [DataMember]
        public string? objectstr { get; set; }
        
        /// <summary>
        /// 接待人Id
        /// </summary>
        [DataMember]
        public string? receptionuser { get; set; }

        /// <summary>
        /// 接待人名称
        /// </summary>
        [DataMember]
        public string? receptionusername { get; set; }

        /// <summary>
        /// 备注
        /// </summary>
        [DataMember]
        public string? notes { get; set; }

        /// <summary>
        /// 0:待办理，1：同意 ，2：拒绝
        /// </summary>
        [DataMember]
        public int? state { get; set; }
        [DataMember]
        public bool? IsAssigned { get; set; }
    }
}
