﻿using Elight.Utility.Code;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.Text;
using System.Threading.Tasks;

namespace Elight.Logic
{
    /// <summary>
    /// 预约接待--分页
    /// </summary>
    [DataContract]
    public class App_ReceptionInput : Paging
    {
        [DataMember]
        public string? Id { get; set; }

        /// <summary>
        /// 单位Id
        /// </summary>
        [DataMember]
        public string? unitId { get; set; }

        /// <summary>
        /// 会见人手机号
        /// </summary>
        [DataMember]
        public string? phone { get; set; }

        /// <summary>
        /// 预约事由
        /// </summary>
        [DataMember]
        public string? matter { get; set; }

        /// <summary>
        /// 开始时间
        /// </summary>
        [DataMember]
        public DateTime? sttime { get; set; }

        /// <summary>
        /// 结束时间
        /// </summary>
        [DataMember]
        public DateTime? ettime { get; set; }

        /// <summary>
        /// 会见人Id
        /// </summary>
        [DataMember]
        public string? meetwitId { get; set; }

        /// <summary>
        /// 会见人
        /// </summary>
        [DataMember]
        public string? meetwitname { get; set; }

        /// <summary>
        /// 备注
        /// </summary>
        [DataMember]
        public string? notes { get; set; }

        /// <summary>
        /// 状态 0：待办理，1：同意，2:拒绝，3:结束
        /// </summary>
        [DataMember]
        public int? state { get; set; }
    }
}
