﻿using Elight.Utility.Code;
using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.Text;
using System.Threading.Tasks;

namespace Elight.Logic
{
    /// <summary>
    /// 远程会见审核
    /// </summary>
    [DataContract]
    public class App_RemoteState : Paging
    {
        [DataMember]
        public string? Id { get; set; }

        [DataMember]
        public string? reason { get; set; }

        /// <summary>
        /// 开始时间
        /// </summary>
        [DataMember]
        public DateTime? sttime { get; set; }
        
        /// <summary>
        /// 结束时间
        /// </summary>
        [DataMember]
        public DateTime? ettime { get; set; }

        /// <summary>
        /// 状态 0：待办理，1：同意，2:结束，3：取消
        /// </summary>
        [DataMember]
        public int? state { get; set; }
    }
}
