﻿using Elight.Utility.Code;
using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.Text;
using System.Threading.Tasks;

namespace Elight.Logic
{
    /// <summary>
    /// 视频举报
    /// </summary>
    [DataContract]
    public class App_VideoInput : Paging
    {
        [DataMember]
        public string? Id { get; set; }
        /// <summary>
        /// 单位Id
        /// </summary>
        [DataMember]
        public string? unitId { get; set; }
        /// <summary>
        /// 是否匿名
        /// </summary>
        [DataMember]
        public int anonymous { get; set; }

        /// <summary>
        /// 视频连接地址
        /// </summary>
        [DataMember]
        public string? videofile { get; set; }

        /// <summary>
        /// 举报原因
        /// </summary>
        [DataMember]
        public string? reporting { get; set; }

        /// <summary>
        /// 举报人联系方式
        /// </summary>
        [DataMember]
        public string? contact { get; set; }

        /// <summary>
        /// 备注
        /// </summary>
        [DataMember]
        public string? notes { get; set; }

        /// <summary>
        /// 0:未处理，1：处理中 2：已处理
        /// </summary>
        [DataMember]
        public int? state { get; set; }
    }
}
