﻿using Elight.Utility.Code;
using SqlSugar;
using System;
using System.Runtime.Serialization;

namespace Elight.Logic.SystemModel
{
    /// <summary>
    /// 单位信息--分页
    /// </summary>
    [DataContract]
    public class App_Sys_UnitInput : Paging
    {
		/// <summary>
		/// 表里用户唯一标识符，自增长Id
		/// </summary>
		[DataMember]
        public string? Id { get; set; }
        /// <summary>
        /// 父级
        /// </summary>
        [DataMember]
        public string? pid { get; set; }

        /// <summary>
        /// 单位编码
        /// </summary>
        [DataMember]
		public string? unitCode { get; set; }
        /// <summary>
        /// 单位名称
        /// </summary>
        [DataMember]
        public string? unitname { get; set; }

        /// <summary>
        /// 单位简称
        /// </summary>
        [DataMember]
        public string? unitjc { get; set; }
        /// <summary>
        /// 单位经纬度
        /// </summary>
        [DataMember]
        public string? lalon { get; set; }
    }
}

