﻿using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

/// <summary>
/// 目录结构
/// </summary>
public class JZML
{
    /// <summary>
    /// 
    /// </summary>
    public string taskid { get; set; }
    /// <summary>
    /// 
    /// </summary>
    public string jzbh { get; set; }
    /// <summary>
    /// 
    /// </summary>
    public string mlbh { get; set; }
    /// <summary>
    /// 
    /// </summary>
    public string fmlbh { get; set; }
    /// <summary>
    /// 新增卷
    /// </summary>
    public string mlxsmc { get; set; }
    /// <summary>
    /// 
    /// </summary>
    public string mlxx { get; set; }
    /// <summary>
    /// 
    /// </summary>
    public string mlsxh { get; set; }
    /// <summary>
    /// 
    /// </summary>
    public string mllx { get; set; }
    /// <summary>
    /// 
    /// </summary>
    public string dwbm { get; set; }
    public List<JZWJItem> jzwj { get; set; }
}

public class JZMLData
{
    public List<JZML> jzml { get; set; }

    //public List<JzmlwjItem> jzwj { get; set; }
    public List<JzmlwjItem> jzmlwj { get; set; }
}


public class JZMLStruct
{
    public string code { get; set; }
    public string success { get; set; }
    // 获取电子卷件信息成功
    public string message { get; set; }
    public JZMLData data { get; set; }
}


public class JzmlwjItem
{
    /// <summary>
    /// 
    /// </summary>
    public string wjxh { get; set; }
    /// <summary>
    /// 
    /// </summary>
    public string mlbh { get; set; }
    /// <summary>
    /// 
    /// </summary>
    public string wjym { get; set; }
    /// <summary>
    /// 
    /// </summary>
    public string wjlx { get; set; }
    /// <summary>
    /// 
    /// </summary>
    public string wjscbz { get; set; }
    /// <summary>
    /// 
    /// </summary>
    public int wjsxh { get; set; }
    /// <summary>
    /// 目录
    /// </summary>
    public string wjxsmc { get; set; }
    /// <summary>
    /// 
    /// </summary>
    public string jzbh { get; set; }
    /// <summary>
    /// 
    /// </summary>
    public string wjlj { get; set; }
    /// <summary>
    /// 
    /// </summary>
    public string wjmc { get; set; }
    /// <summary>
    /// 
    /// </summary>
    public string wjhz { get; set; }
    /// <summary>
    /// 
    /// </summary>
    public string bsbh { get; set; }
    /// <summary>
    /// 
    /// </summary>
    public string wjksy { get; set; }
    /// <summary>
    /// 
    /// </summary>
    public string wjjsy { get; set; }
}


public class JZWJItem
{
    public string wjxh { get; set; }
    public string mlbh { get; set; }
    public string ywjlj { get; set; }
    public string sltwjlj { get; set; }
    public string pdfwjlj { get; set; }
    public string jpgwjlj { get; set; }
    public string wjym { get; set; }
    public string wjlx { get; set; }
    public string wjscbz { get; set; }
    public int wjsxh { get; set; }
    public string wjxsmc { get; set; }
    public string jzbh { get; set; }
    public string wjocrsbzt { get; set; }
    public string cjsj { get; set; }
    public string time { get; set; }
    public string taskid { get; set; }
    public string wjbs { get; set; }
    public string bsbh { get; set; }
}

public class JZWJStruct
{
    public string code { get; set; }
    public string success { get; set; }
    public string message { get; set; }
    public List<JZWJItem> data { get; set; }
}





public class JZJBXX
{
    /// <summary>
    /// 部门受案号
    /// </summary>
    public string bmsah { get; set; }
    /// <summary>
    /// 卷宗编号
    /// </summary>
    public string jzbh { get; set; }
    /// <summary>
    /// 单位编码
    /// </summary>
    public string dwbm { get; set; }
    /// <summary>
    /// （简案）王奇涉嫌危险驾驶案
    /// </summary>
    public string jzmc { get; set; }
    /// <summary>
    /// 汤路平
    /// </summary>
    public string jzzzr { get; set; }
    /// <summary>
    /// 案件类别编码
    /// </summary>
    public string ajlbbm { get; set; }
    /// <summary>
    /// 案件类别名称
    /// </summary>
    public string ajlbmc { get; set; }

    public List<JZML> jzml { get; set; }
}


public class JBXXStruct
{
    public List<JZJBXX> jzjbxx { get; set; }

}

public class ApiResponse
{
    /// <summary>
    /// 返回代码 200:成功 300：系统错误 400:自定义错误 500:ORC识别错误
    /// </summary>
    [JsonProperty(PropertyName = "code")]
    public int Code { get; set; }

    /// <summary>
    /// 错误信息
    /// </summary>
    [JsonProperty(PropertyName = "Message")]
    public string Message { get; set; }

    /// <summary>
    /// 结果
    /// </summary>
    [JsonProperty(PropertyName = "data")]
    public object Data { get; set; }
}

public class ImagesRoot
{
    /// <summary>
    /// 
    /// </summary>
    public ImagesData Data { get; set; }

    /// <summary>
    /// 
    /// </summary>
    public int Code { get; set; }
    /// <summary>
    /// PDF转图片成功
    /// </summary>
    public string Message { get; set; }
}

public class ImagesData
{
    /// <summary>
    /// 
    /// </summary>
    public int code { get; set; }
    /// <summary>
    /// 
    /// </summary>
    public List<List<string>> data { get; set; }
    public List<string> file_base64 { get; set; }

    /// <summary>
    /// 
    /// </summary>
    public string errMsg { get; set; }
}